Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmc
Class CMCStatusInfo

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmc.CMCStatusInfo

All Implemented Interfaces:
  ASN1Value

public class CMCStatusInfo
extends java.lang.Object
implements ASN1Value

CMC CMCStatusInfo:

         CMCStatusInfo ::= SEQUENCE {
              cMCStatus           CMCStatus,
              bodyList            SEQUENCE SIZE (1..MAX) OF BodyPartID,
              statusString        UTF8String OPTIONAL,
              otherInfo           CHOICE {
                failInfo            CMCFailInfo,
                pendInfo            PendInfo } OPTIONAL
         }
         PendInfo ::= SEQUENCE {
              pendToken           OCTET STRING,
              pendTime            GeneralizedTime
         }

Nested Class Summary
`static class` | `CMCStatusInfo.Template`

Field Summary
`static INTEGER` | `BODYIDMAX`
`private SEQUENCE` | `bodyList`
`static int` | `CONFIRM_REQUIRED`
`static int` | `FAILED`
`static int` | `NOSUPPORT`
`private OtherInfo` | `otherInfo`
`static int` | `PENDING`
`static int` | `RESERVED`
`private INTEGER` | `status`
`static java.lang.String[]` | `STATUS`
`private UTF8String` | `statusString`
`static int` | `SUCCESS`
`static Tag` | `TAG`
`private static CMCStatusInfo.Template` | `templateInstance`

Constructor Summary
`private` | `CMCStatusInfo()`
`` | `CMCStatusInfo(INTEGER status, SEQUENCE bodyList, UTF8String statusString, OtherInfo otherInfo)` Create a CMCStatusInfo from decoding.
`` | `CMCStatusInfo(int status, SEQUENCE bodyList)`
`` | `CMCStatusInfo(int status, SEQUENCE bodyList, java.lang.String statusString, OtherInfo otherInfo)`

Method Summary
`void` | `addBodyPartID(int id)` Adds a BodyPartID to the bodyList SEQUENCE.
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`SEQUENCE` | `getBodyList()`
`OtherInfo` | `getOtherInfo()`
`int` | `getStatus()`
`java.lang.String` | `getStatusString()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static CMCStatusInfo.Template` | `getTemplate()`
`void` | `setStatusString(java.lang.String statusString)` Sets the `statusString` field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BODYIDMAX

    public static final INTEGER BODYIDMAX

### status

    private INTEGER status

### bodyList

    private SEQUENCE bodyList

### statusString

    private UTF8String statusString

### otherInfo

    private OtherInfo otherInfo

### SUCCESS

    public static final int SUCCESS

See Also:
  Constant Field Values

### RESERVED

    public static final int RESERVED

See Also:
  Constant Field Values

### FAILED

    public static final int FAILED

See Also:
  Constant Field Values

### PENDING

    public static final int PENDING

See Also:
  Constant Field Values

### NOSUPPORT

    public static final int NOSUPPORT

See Also:
  Constant Field Values

### CONFIRM_REQUIRED

    public static final int CONFIRM_REQUIRED

See Also:
  Constant Field Values

### STATUS

    public static final java.lang.String[] STATUS

### TAG

    public static final Tag TAG

### templateInstance

    private static final CMCStatusInfo.Template templateInstance

Constructor Detail

### CMCStatusInfo

    private CMCStatusInfo()

### CMCStatusInfo

    public CMCStatusInfo(int status,
                         SEQUENCE bodyList)

Parameters:
  `status` - A CMCStatus constant.
  `bodyList` - The sequence of bodyPartID.

### CMCStatusInfo

    public CMCStatusInfo(int status,
                         SEQUENCE bodyList,
                         java.lang.String statusString,
                         OtherInfo otherInfo)

Parameters:
  `status` - A CMCStatus constant.
  `bodyList` - The sequence of bodyPartID.
  `statusString` - A String.

### CMCStatusInfo

    public CMCStatusInfo(INTEGER status,
                         SEQUENCE bodyList,
                         UTF8String statusString,
                         OtherInfo otherInfo)

  Create a CMCStatusInfo from decoding.

Parameters:
  `status` - A CMCStatus constant.
  `bodyList` - The sequence of bodyPartID.
  `statusString` - A UTF8String.
  `otherInfo` - A CHOICE.

Method Detail

### setStatusString

    public void setStatusString(java.lang.String statusString)

  Sets the `statusString` field. May be null, since this field is optional.

### addBodyPartID

    public void addBodyPartID(int id)

  Adds a BodyPartID to the bodyList SEQUENCE.

### getStatus

    public int getStatus()

### getBodyList

    public SEQUENCE getBodyList()

### getStatusString

    public java.lang.String getStatusString()

### getOtherInfo

    public OtherInfo getOtherInfo()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static CMCStatusInfo.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD